## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname         python-colormath2
%global         shortname       colormath2
%global         forgeurl        https://github.com/bkmgit/python-colormath2
Version:        3.0.3

Name:           %{srcname}
Release:        %{autorelease}
Summary:        A python module that abstracts common color math operations

License:        BSD-3-Clause
URL:            %forgeurl
Source:         %{forgeurl}/archive/%{version}/%{name}-%{version}.tar.gz
Patch:          cie2000-calculation.patch

BuildRequires:  python3-devel
BuildRequires:  python3-nose2
BuildRequires:  python3-tox
BuildRequires:  python3-tox-current-env

BuildArch: noarch

%global _description %{expand:
This module implements a large number of different color operations
such as color space conversions, Delta E, and density to spectral.
}

%description %_description

%package -n python3-%{shortname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{shortname}}

%description -n python3-%{shortname} %_description


%prep
%autosetup -n %{srcname}-%{version} -p 1
# exclude sporadically failing test
#sed -i 's/nose2 -s tests/nose2 -s tests --exclude=test_cie2000_accuracy_3/g' \
#    tox.ini

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{shortname}

%check
%pyproject_check_import
%tox

%files -n python3-%{shortname} -f %{pyproject_files}
 
%changelog
## START: Generated by rpmautospec
* Fri Nov 08 2024 John Doe <packager@example.com> - 3.0.3-1
- Uncommitted changes
## END: Generated by rpmautospec
